<?php
/**
 * Created by PhpStorm.
 * User: gustavolima
 * Date: 25/11/2015
 * Time: 14:30
 */

namespace Teknisa\CRM\Service;

use Doctrine\ORM\EntityManager;
use Teknisa\CRM\Util;


class AlterarSenha {

    /** @var  EntityManager */
    protected $entityManager;
    /** @var  Environment */
    protected $environment;

    protected $connection;

    public function __construct($entityManager, $environment)
    {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->connection = $entityManager->getConnection();
    }

    public function validaSenhaAntigaOperador($oldPass, $cdoper, $nrorg)
    {
        $oldPass = md5($oldPass);
        $select = "SELECT CDSENHAOPERWEB FROM OPERADOR WHERE CDOPERADOR = '$cdoper' AND NRORG = $nrorg";

        $execute = $this->connection->prepare($select);

        $execute->execute();
        $result = $execute->fetchAll();
        if($result[0]['CDSENHAOPERWEB'] == $oldPass)
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    public function updatePassOper($newPass, $cdoper, $nrorg)
    {
        $newPass = md5($newPass);
        $update = "UPDATE OPERADOR SET CDSENHAOPERWEB = '$newPass'
                    WHERE CDOPERADOR = '$cdoper' AND NRORG = $nrorg";

        $execute = $this->connection->prepare($update);

        $execute->execute();
    }

    public function alterarSenhaOper($oldPass, $newPass, $cdoper, $nrorg)
    {
        $valid = self::validaSenhaAntigaOperador($oldPass, $cdoper, $nrorg);
        if(!$valid)
        {
            return array(0 => "Favor informar a senha antiga.", 1 => "1");
        }

        try{
            self::updatePassOper($newPass, $cdoper, $nrorg);
            return array(0 => "Senha alterada com sucesso.", 1 => "0");
        }catch (\Exception $e){
            throw new \Exception($e->getMessage(), $e->getCode());
            return array(0 => "Não foi possível alterar a senha. <br>Tente novamente mais tarde ou entre em contato com o suporte.", 1 => "1");
        }
    }

}