<?php

namespace Teknisa\CRM\Service;

class MotiEvolContService {
    protected $environment;
    protected $motiEvolFactory;
    
    public function __construct($environement, $motiEvolFactory) {
        $this->environment = $environement;
        $this->motiEvolFactory = $motiEvolFactory;
    }
    
    public function removeAttachment($row) {
        $nrorg = $this->environment->getNrOrgTrab();
        $nrorgOper = $this->environment->getNrOrg();
        $cdoperador = $this->environment->getCdOperador();
        
        $params = array(
            "CDOPERADOR" => $cdoperador,
            "NRORGOPER" => $nrorgOper,
            "CDMOTIEVOCON" => $row['CDMOTIEVOCON'],
            "NRORG" => $nrorg
            
        );
        
        $this->motiEvolFactory->removeAttachment($params);
    }
}