<?php
namespace Teknisa\CRM\Controller;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DTO\Response;
use Teknisa\CRM\Controller\TeknisaCrud;
use Teknisa\CRM\Service\RespostasService;

class Respostas extends TeknisaCrud
{
    public $respostaservice;
    protected $dataSourceName = 'respostas';

    public function __construct($crudService, $parameterBag, RespostasService $respostaservice)
    {
        $this->respostaservice = $respostaservice;
        parent::__construct($crudService, $parameterBag);
    }

    public function retornaParceiros(Row $row, Response $response)
    {
        $dataset = $row->getRow();

        $retorno = $this->respostaservice->retornaParceiros($dataset['Entrada']);

        $response->addDataSet(new DataSet("SAIDA", $retorno));
    }
}
?>